head     1.1;
branch   ;
access   ;
symbols  ;
locks    ;
comment  @# @;


1.1
date     95.02.18.09.43.43;  author ian;  state Exp;
branches ;
next     ;


desc
@Get all fontnames from prologs, for merging.
@



1.1
log
@Initial revision
@
text
@#!/bin/sh

# getallfonts -- extract all fontnames from a collection of conforming PS files

egrep -h '^%%(DocumentFonts|\+)' *.ps |
	sed -e 's/^%%DocumentFonts: //' -e 's/^%%\+//' \
		-e 's/ /\
/g' \
		-e '/(atend)/d' |
	sort -u
@
